#ifndef _SBPRO_H_
#define _SBPRO_H_

enum {
	SBPRO_MIXER_REG_RESET  = 0,
	SBPRO_MIXER_REG_VOICE  = 0x04,
	SBPRO_MIXER_REG_MIC    = 0x0A,
	SBPRO_MIXER_REG_INPUT  = 0x0C,
	SBPRO_MIXER_REG_OUTPUT = 0x0E,
	SBPRO_MIXER_REG_MASTER = 0x22,
	SBPRO_MIXER_REG_MIDI   = 0x26,
	SBPRO_MIXER_REG_CD     = 0x28,
	SBPRO_MIXER_REG_LINE   = 0x2E
};

static unsigned char sbpro_mixer_reg_get(int base, unsigned char reg);
#pragma aux sbpro_mixer_reg_get = \
	"add dx, 4" \
	"out dx, al" \
	"inc dx" \
	"in al, dx" \
	__parm [dx] [al] \
	__value [al] \
	__modify [dx]
	
static void sbpro_mixer_reg_set(int base, unsigned char reg, unsigned char val);
#pragma aux sbpro_mixer_reg_set = \
	"add dx, 4" \
	"out dx, al" \
	"inc dx" \
	"mov al, ah" \
	"out dx, al" \
	__parm [dx] [al] [ah] \
	__modify [dx ax]

static void sbpro_mixer_reset(int base)
{
	sbpro_mixer_reg_set(base, SBPRO_MIXER_REG_RESET, 1);
}

#endif

